<?php
/*
Plugin Name: Konami Command Login
Plugin URI: http://sakuratan.biz/
Description: 上上下下左右左右BA
Author: sakuratan
Author URI: http://sakuratan.biz/
Version: 1.0.1
*/

function konam_command_login_js_filter( $s ) {
    static $trans;
    if ( !isset( $trans ) ) {
	$trans = array();
	for ( $i = 0; $i <= 47; ++$i ) {
	    $trans[chr($i)] = sprintf( "\\x%02x", $i );
	}
	for ( $i = 58; $i <= 64; ++$i ) {
	    $trans[chr($i)] = sprintf( "\\x%02x", $i );
	}
	for ( $i = 91; $i <= 96; ++$i ) {
	    $trans[chr($i)] = sprintf( "\\x%02x", $i );
	}
	for ( $i = 123; $i <= 127; ++$i ) {
	    $trans[chr($i)] = sprintf( "\\x%02x", $i );
	}
	$trans["\n"] = "\\n";
	$trans["\r"] = "\\r";
	$trans["\t"] = "\\t";
    }
    return strtr( $s, $trans );
}

function konami_command_login() {
?>
<script type="text/javascript">
//<![CDATA[
document.write("<?php

    register_shutdown_function( 'konam_command_login_shutdown_function' );
    ob_start( 'konam_command_login_js_filter' );

    $jquery = get_option('siteurl') . '/wp-includes/js/jquery/jquery.js';
    $baseuri = WP_PLUGIN_URL . '/konami-command-login/';

?>
<link rel="stylesheet" type="text/css" href="<?php echo $baseuri ?>bigcore.css" media="screen" />
<script type="text/javascript" src="<?php echo $jquery ?>"></script>
<script type="text/javascript" src="<?php echo $baseuri ?>bigcore.min.js"></script>
<?php
}

function konam_command_login_shutdown_function() {
?>");
//]]>
</script>
<?php
}

function konami_command_login_init() {
    add_action( 'login_head', 'konami_command_login' );
}

add_action( 'init', 'konami_command_login_init' );

?>
